package com.dgtly.sync.mapper;

import com.dgtly.sync.domain.SyncLog;
import java.util.List;

/**
 * 同步解析日志Mapper接口
 * 
 * @author qxp
 * @date 2020-07-14
 */
public interface SyncLogMapper 
{
    /**
     * 查询同步解析日志
     * 
     * @param packageId 同步解析日志ID
     * @return 同步解析日志
     */
    public SyncLog selectSyncLogById(String packageId);

    /**
     * 查询同步解析日志列表
     * 
     * @param syncLog 同步解析日志
     * @return 同步解析日志集合
     */
    public List<SyncLog> selectSyncLogList(SyncLog syncLog);

    /**
     * 新增同步解析日志
     * 
     * @param syncLog 同步解析日志
     * @return 结果
     */
    public int insertSyncLog(SyncLog syncLog);

    /**
     * 修改同步解析日志
     * 
     * @param syncLog 同步解析日志
     * @return 结果
     */
    public int updateSyncLog(SyncLog syncLog);

    /**
     * 删除同步解析日志
     * 
     * @param packageId 同步解析日志ID
     * @return 结果
     */
    public int deleteSyncLogById(String packageId);

    /**
     * 批量删除同步解析日志
     * 
     * @param packageIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyncLogByIds(String[] packageIds);
}
